· Installation notice ·

Compatibility

Version IOS 8.0 or above. The following models can be compatible : iPhone5、iPhone5c、iPhone5s、iPhone6、iPhone6 Plus、iPhone6s、iPhone6s Plus、iPhone SE、iPad。

Installation instruction